Add a slot to a classroomAsk AIpost https://app.360learning.com/api/v2/classrooms/{classroomId}/slotsRequired OAuth scope: classrooms:write. Adds a slot to a given classroom.Path ParamsclassroomIdstringrequiredThe unique ID of the classroom.Body ParamsstartDatedate-timerequiredThe date and time when the classroom slot starts (must be before endDate), in the YYYY-MM-DDThh:mm:ss.sssZ format (ISO 8601 in Coordinated Universal Time (UTC)).endDatedate-timerequiredThe date and time when the classroom slot ends (must be after startDate), in the YYYY-MM-DDThh:mm:ss.sssZ format (ISO 8601 in Coordinated Universal Time (UTC)).reportedDurationnumberrequiredThe reported duration of the slot, in hours.selfRegistrationDisabled Self RegistrationEnabled Self RegistrationrequiredThe self registration settings of the classroom slots.Disabled Self Registration objectvirtualbooleanrequiredTrue when the slot is a virtual classroom, false otherwise.truefalsemaxCapacitynumberThe maximum number of registrations allowed in the slot. Learners won't be able to self-enroll on this slot if this number is reached.namestringrequiredlength ≥ 1The title of the classroom slot.contextobjectrequiredThe path session context of the classroom slot.Path Context objectlocationstringrequiredlength ≥ 1The location of the classroom slot, being either a URL or a physical address.trainerIdsarray of stringslength ≤ 20The list of unique user IDs of trainers in charge of the slot (users must exist in the company).trainerIdsADD stringmediaIdsarray of stringslength ≤ 20The list of medias unique identifiers linked to the classroom slot.mediaIdsADD stringtimezonestringlength ≥ 1The timezone of the slot in the format Continent[/Country]/City defined by TZ database.Headers360-api-versionstringenumrequiredThe version of the API.v2.0Allowed:v2.0Responses 201Returns the created classroom slot. 400The server cannot or will not process the request due to something that is perceived to be a client error. 401The given access token is either missing, invalid, has expired, or has been revoked. 403The given access token does not have the required OAuth scope to execute the request. 404The server cannot find the requested resource. 429The client has sent too many requests in a short amount of time.Updated 6 months ago